package com.tinysine.tosrblue.command;

import java.io.IOException;
import java.io.OutputStream;

import com.tinysine.tosrblue.io.ATConnectThread;

public class CMD extends Thread{
	private OutputStream out;
	protected ATConnectThread connectThread = null;
	private String cmdString;
	public	CMD(String cmdString){
		this.cmdString=cmdString;
	}
	protected void sendCmd(String cmd) throws IOException {
			cmd += "\r\n";
			out.write(hexStringToBytes(cmd));
			out.flush();
	}
	public void run() {
		try {
			sendCmd(cmdString);
		} catch (Exception e) {
		}
	}
	/**
	　　* Convert hex string to byte[]
	　　* @param hexString the hex string
	　　* @return byte[]
	　　*/
	public  byte[] hexStringToBytes(String hexString) {
		if (hexString == null || hexString.equals("")) {
			return null;
		}
		hexString = hexString.toUpperCase();
		int length = hexString.length() / 2;
		char[] hexChars = hexString.toCharArray();
		byte[] d = new byte[length];
		for (int i = 0; i < length; i++) {
			int pos = i * 2;
			d[i] = (byte) (charToByte(hexChars[pos]) << 4 | charToByte(hexChars[pos + 1]));
		}
		return d;
	}
	
	/**
	　　* Convert char to byte
	　　* @param c char
	　　* @return byte
	　　*/
	private byte charToByte(char c) {
		return (byte) "0123456789ABCDEF".indexOf(c);
	}
}
