package com.tinysine.tosrblue.io;


import com.tinysine.tosrblue.Bluemd;

import android.content.ComponentName;
import android.content.ServiceConnection;
import android.os.IBinder;


public class ATServiceConnection implements ServiceConnection {
	Bluemd openWnn=null;
	private ATService service = null;
	public  ATServiceConnection (Bluemd openWnn) {
		this.openWnn =openWnn;
	}
	public void onServiceConnected(ComponentName name, IBinder service) {
		this.service = ((ATService.ATServiceBinder)service).getService();
	}
	public void onServiceDisconnected(ComponentName name) {
		service = null;
	}
	public ATService getService() {

		return service;
	}
	public boolean isRunning() {
		try{
			if (service == null) {
				return false;
			}
			return service.isRunning();
		} catch (Exception e) {
			return false;
		}

	}
}
